ruby-packetfu_1.1.11-2_all.deb


Advertisement

Description

ruby-packetfu - mid-level packet manipulation library for Ruby

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe i386
Package name: ruby-packetfu
Package version: 1.1.11
Package release: 2
Package architecture: all
Package type: deb
Installed size: 278 B
Download size: 51.94 KB
Official Mirror: archive.ubuntu.com
PacketFu is a library for reading and writing packets to an interface or to a libpcap-formatted file. This library can read, parse, and write network packets with the level of ease and fun expected from Ruby.

Alternatives

    Download

    Source package: ruby-packetfu

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install ruby-packetfu deb package:
      # sudo apt-get install ruby-packetfu

    Files

    • /usr/lib/ruby/vendor_ruby/packetfu.rb
    • /usr/lib/ruby/vendor_ruby/packetfu/capture.rb
    • /usr/lib/ruby/vendor_ruby/packetfu/config.rb
    • /usr/lib/ruby/vendor_ruby/packetfu/inject.rb
    • /usr/lib/ruby/vendor_ruby/packetfu/packet.rb
    • /usr/lib/ruby/vendor_ruby/packetfu/pcap.rb
    • /usr/lib/ruby/vendor_ruby/packetfu/structfu.rb
    • /usr/lib/ruby/vendor_ruby/packetfu/utils.rb
    • /usr/lib/ruby/vendor_ruby/packetfu/version.rb
    • /usr/lib/ruby/vendor_ruby/packetfu/protos/arp.rb
    • /usr/lib/ruby/vendor_ruby/packetfu/protos/eth.rb
    • /usr/lib/ruby/vendor_ruby/packetfu/protos/hsrp.rb
    • /usr/lib/ruby/vendor_ruby/packetfu/protos/icmp.rb
    • /usr/lib/ruby/vendor_ruby/packetfu/protos/invalid.rb
    • /usr/lib/ruby/vendor_ruby/packetfu/protos/ip.rb
    • /usr/lib/ruby/vendor_ruby/packetfu/protos/ipv6.rb
    • /usr/lib/ruby/vendor_ruby/packetfu/protos/lldp.rb
    • /usr/lib/ruby/vendor_ruby/packetfu/protos/tcp.rb
    • /usr/lib/ruby/vendor_ruby/packetfu/protos/udp.rb
    • /usr/lib/ruby/vendor_ruby/packetfu/protos/arp/header.rb
    • /usr/lib/ruby/vendor_ruby/packetfu/protos/arp/mixin.rb
    • /usr/lib/ruby/vendor_ruby/packetfu/protos/eth/header.rb
    • /usr/lib/ruby/vendor_ruby/packetfu/protos/eth/mixin.rb
    • /usr/lib/ruby/vendor_ruby/packetfu/protos/hsrp/header.rb
    • /usr/lib/ruby/vendor_ruby/packetfu/protos/hsrp/mixin.rb
    • /usr/lib/ruby/vendor_ruby/packetfu/protos/icmp/header.rb
    • /usr/lib/ruby/vendor_ruby/packetfu/protos/icmp/mixin.rb
    • /usr/lib/ruby/vendor_ruby/packetfu/protos/ip/header.rb
    • /usr/lib/ruby/vendor_ruby/packetfu/protos/ip/mixin.rb
    • /usr/lib/ruby/vendor_ruby/packetfu/protos/ipv6/header.rb
    • /usr/lib/ruby/vendor_ruby/packetfu/protos/ipv6/mixin.rb
    • /usr/lib/ruby/vendor_ruby/packetfu/protos/lldp/header.rb
    • /usr/lib/ruby/vendor_ruby/packetfu/protos/lldp/mixin.rb
    • /usr/lib/ruby/vendor_ruby/packetfu/protos/tcp/ecn.rb
    • /usr/lib/ruby/vendor_ruby/packetfu/protos/tcp/flags.rb
    • /usr/lib/ruby/vendor_ruby/packetfu/protos/tcp/header.rb
    • /usr/lib/ruby/vendor_ruby/packetfu/protos/tcp/hlen.rb
    • /usr/lib/ruby/vendor_ruby/packetfu/protos/tcp/mixin.rb
    • /usr/lib/ruby/vendor_ruby/packetfu/protos/tcp/option.rb
    • /usr/lib/ruby/vendor_ruby/packetfu/protos/tcp/options.rb
    • /usr/lib/ruby/vendor_ruby/packetfu/protos/tcp/reserved.rb
    • /usr/lib/ruby/vendor_ruby/packetfu/protos/udp/header.rb
    • /usr/lib/ruby/vendor_ruby/packetfu/protos/udp/mixin.rb
    • /usr/share/doc/ruby-packetfu/CONTRIBUTING.md
    • /usr/share/doc/ruby-packetfu/changelog.Debian.gz
    • /usr/share/doc/ruby-packetfu/copyright
    • /usr/share/doc/ruby-packetfu/examples/100kpackets.rb
    • /usr/share/doc/ruby-packetfu/examples/ackscan.rb
    • /usr/share/doc/ruby-packetfu/examples/arp.rb
    • /usr/share/doc/ruby-packetfu/examples/arphood.rb
    • /usr/share/doc/ruby-packetfu/examples/dissect_thinger.rb
    • /usr/share/doc/ruby-packetfu/examples/ethernet.rb
    • /usr/share/doc/ruby-packetfu/examples/examples.rb
    • /usr/share/doc/ruby-packetfu/examples/ids.rb
    • /usr/share/doc/ruby-packetfu/examples/idsv2.rb
    • /usr/share/doc/ruby-packetfu/examples/ifconfig.rb
    • /usr/share/doc/ruby-packetfu/examples/new-simple-stats.rb
    • /usr/share/doc/ruby-packetfu/examples/oui.txt
    • /usr/share/doc/ruby-packetfu/examples/packetfu-shell.rb
    • /usr/share/doc/ruby-packetfu/examples/simple-sniffer.rb
    • /usr/share/doc/ruby-packetfu/examples/simple-stats.rb
    • /usr/share/doc/ruby-packetfu/examples/slammer.rb
    • /usr/share/doc/ruby-packetfu/examples/uniqpcap.rb
    • /usr/share/rubygems-integration/all/specifications/packetfu-1.1.11.gemspec

    Changelog

    2016-02-29 - Lucas Kanashiro <kanashiro.duarte@gmail.com> ruby-packetfu (1.1.11-2) unstable; urgency=medium * Team upload. * Create patch fixing tests with ruby2.3 (Closes: #816254) * d/copyright: add Upstream-Contact and set up upstream email * Update Debian packaging copyright * Declare compliance with Debian policy 3.9.7

    2015-09-10 - Jérémy Bobbio <lunar@debian.org> ruby-packetfu (1.1.11-1) unstable; urgency=low * New upstream version. * Ship some upstream documentation. * Update debian/copyright. * Tighten pcaprub dependency. * Refresh and drop obsolete patches. * Add a patch to use Ruby 2.1+ new API instead of the unpackaged network_interface library. * Update Vcs-Git URL. * Switch to debhelper compat level 9. * Override lintian regarding the OUI database. It's only present in the source and shipped in the binary package.

    2015-08-10 - Cédric Boutillier <boutil@debian.org> ruby-packetfu (1.1.10-2) unstable; urgency=medium * Team upload * Update packaging with dh-make-ruby -w + Bump Standards-Version to 3.9.6 (no changes needed) * Build-depend on ruby-rspec >=3 and ruby-rspec-its (Closes: #795044) * Drop dependency on ruby-rspec (not needed) * Patches: + refresh 0001-Be-better-about-version-checking-multidigits.patch + refresh 0002-Do-not-require-rubygems-even-with-Ruby-1.8.patch + add 0004-Port-to-rspec3.patch (upstream) adding support for rspec3 + add 0005-Require-rspec-its.patch to explicitly load rspec/its * Restrict examples to Ruby files and symlink oui.txt from ieee-data package

    2014-05-03 - Jérémy Bobbio <lunar@debian.org> ruby-packetfu (1.1.10-1) unstable; urgency=low * New upstream version. * Drop an obsolete patch. * Import upstream patch to fix test suite compatibility with version numbers and Ruby 2.x. * Re-enable support for all versions. (Closes: #725675, #746098) * Update homepage location. * Bump Standards-Version, no changes required.

    2013-10-07 - Jérémy Bobbio <lunar@debian.org> ruby-packetfu (1.1.8-2) unstable; urgency=low * Only provide ruby1.9.1 compatibility until issues with ruby2.0 are sorted out. (Closes: #725556)

    2013-08-24 - Jérémy Bobbio <lunar@debian.org> ruby-packetfu (1.1.8-1) unstable; urgency=low * Initial release. (Closes: #719297)

    Advertisement
    Advertisement